/***************************************************************************
 $RCSfile$
 -------------------
 cvs         : $Id: kbd_handler_p.h 17 2005-11-29 18:26:56Z aquamaniac $
 begin       : Mon Mar 01 2004
 copyright   : (C) 2004 by Martin Preuss
 email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifndef KBD_HANDLER_P_H
#define KBD_HANDLER_P_H

#include "kbd_handler.h"


struct KBD_HANDLER {
  void *private_data;

  KBD_HANDLER_INIT_FN initFn;
  KBD_HANDLER_CLOSE_FN closeFn;
  KBD_HANDLER_HANDLE_FN handleFn;
  KBD_HANDLER_GET_CARD_FN getCardFn;
  KBD_HANDLER_FREE_PRIVATE_DATA_FN freeDataFn;
};


#endif

